access / acl
2 operations.
GET /access/acl
ts
proxmox.access.acl.$get()Get Access Control List (ACLs).
Returns an array of object.
PUT /access/acl
ts
proxmox.access.acl.$put()Update Access Control List (add or remove permissions).
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
delete | boolean | Remove permissions (instead of adding it). | |
groups | string | List of groups. — format pve-groupid-list | |
path | string | yes | Access control path |
propagate | boolean | Allow to propagate (inherit) permissions. — default 1 | |
roles | string | yes | List of roles. — format pve-roleid-list |
tokens | string | List of API tokens. — format pve-tokenid-list | |
users | string | List of users. — format pve-userid-list |